Bug 44591 - Run in Test Cloud context menu item missing
Summary: Run in Test Cloud context menu item missing
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: General (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Mac OS
: --- normal
Target Milestone: 4.2.x (C8SR0)
Assignee: Jose Gallardo
URL:
Depends on:
Blocks:
 
Reported: 2016-09-21 18:45 UTC by John Miller [MSFT]
Modified: 2017-04-05 02:22 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Miller [MSFT] 2016-09-21 18:45:52 UTC
**Overview:**

   You used to be able to right-click on a UITest project and select "Run in Test Cloud" to upload an APK/iPA to test cloud. This option is no longer there in XVS 4.2. 
   
**Steps to Reproduce:**

   Update to 4.2
   Create an Android project and set it as the startup project.
   Create a UITest project. 
   Right-click on the UITest project

**Actual Results:**

   There is no Run in Test Cloud option.
   
**Expected Results:**

   Should see a Run in Test Cloud option in the right-click context menu. 
   
**Build Date & Platform:**

   Microsoft Visual Studio Enterprise 2015
Version 14.0.25123.00 Update 2
Microsoft .NET Framework
Version 4.6.01038

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA097
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-80000-00000-AA097
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA097
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA097
Microsoft Visual C++ 2015

Application Insights Tools for Visual Studio Package   5.2.60328.3
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.20512.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.8.1   14.0.11123.0
Azure App Service Tools v2.8.1

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.7
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GradleBindings.VisualStudio   1.0
Creates Xamarin Android Binding projects from a gradle file.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 1)   14.1.20512.0
Microsoft .NET Core Tools (Preview 1)

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60311.1
Microsoft SQL Server Data Tools

TypeScript   1.8.29.0
TypeScript tools for Visual Studio

Xamarin   4.2.0.680 (c4382f5)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.0.18 (0e59c36)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.6 (6c3fee4)
Visual Studio extension to enable development for Xamarin.iOS.
   
**Additional Information:**
Comment 1 Jose Gallardo 2016-09-21 19:58:26 UTC
There was a performance improvement targeting Dev15 which makes the XTC extension to be out of our vsix and instead to be published separately on the VS Gallery (which is not ready).
Unfortunately, that change was included in our cycle8 branch, and is causing this issue.

We're working on reverting this change, potentially on SR0.
Comment 4 xamarin-release-manager 2016-09-23 11:14:03 UTC
Fixed in version 4.2.0.698 (cycle8)

Author: josegallardo
Commit: f238a33e76187f7a58eb3b645eb8c87a19be601b (xamarin/XamarinVS)
Comment 7 xamarin-release-manager 2016-10-06 22:39:47 UTC
Fixed in version 4.2.0.743 (cycle8)

Author: josegallardo
Commit: b7274eeebe696d3e0c4b79c8854fe08954f1bf8a (xamarin/XamarinVS)